## virtualbox 7.0.18

=== src/VBox/HostDrivers/linux/Makefile ===
#
# Makefile for the VirtualBox Linux Host Drivers.
#

#
# Copyright (C) 2008-2023 Oracle and/or its affiliates.
#
# This file is part of VirtualBox base platform packages, as
# available from https://www.virtualbox.org.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, in version 3 of the
# License.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <https://www.gnu.org/licenses>.
#
# The contents of this file may alternatively be used under the terms
# of the Common Development and Distribution License Version 1.0
# (CDDL), a copy of it is provided in the "COPYING.CDDL" file included
# in the VirtualBox distribution, in which case the provisions of the
# CDDL are applicable instead of those of the GPL.
#
# You may elect to license modified versions of this file under the
# terms and conditions of either the GPL or the CDDL or both.
#
# SPDX-License-Identifier: GPL-3.0-only OR CDDL-1.0
#

ifneq ($(KERNELRELEASE),)

# Building from kBuild (make -C <kernel_directory> M=`pwd`),
# or inside a kernel source tree.

obj-m = vboxdrv/
 ifneq ($(wildcard $(CURDIR)/vboxnetflt/Makefile),)
obj-m += vboxnetflt/
 endif
 ifneq ($(wildcard $(CURDIR)/vboxnetadp/Makefile),)
obj-m += vboxnetadp/
 endif
 ifneq ($(wildcard $(CURDIR)/vboxpci/Makefile),)
obj-m += vboxpci/
 endif

else # ! KERNELRELEASE

# convenience Makefile without KERNELRELEASE

ifndef SUDO
 ifneq ($(shell id -u),0)
SUDO := $(firstword $(wildcard /usr/bin/sudo /bin/sudo /usr/sbin/sudo))
 else
SUDO :=
 endif
endif

KBUILD_VERBOSE ?=
.PHONY: all install clean check unload load \
    vboxdrv vboxnetflt vboxnetadp vboxpci \
    install-vboxdrv install-vboxnetflt install-vboxnetadp install-vboxpci \
    clean-vboxdrv clean-vboxnetflt clean-vboxnetadp clean-vboxpci

all: vboxdrv vboxnetflt vboxnetadp vboxpci

# We want to build on Linux 2.6.18 and later kernels.
KERN_VER ?= $(shell uname -r)
 ifneq ($(filter-out 1.% 2.0.% 2.1.% 2.2.% 2.3.% 2.4.% 2.5.%,$(KERN_VER)),)

vboxdrv:
	@echo "=== Building 'vboxdrv' module ==="
	+@$(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxdrv
	@cp vboxdrv/vboxdrv.ko .
	@echo

vboxnetflt: vboxdrv
	+@if [ -d vboxnetflt ]; then \
	    if [ -f vboxdrv/Module.symvers ]; then \
	        cp vboxdrv/Module.symvers vboxnetflt; \
	    fi; \
	    echo "=== Building 'vboxnetflt' module ==="; \
	    $(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) KBUILD_EXTRA_SYMBOLS=$(abspath vboxnetflt/Module.symvers) -C vboxnetflt || exit 1; \
	    cp vboxnetflt/vboxnetflt.ko .; \
	    echo; \
	fi

vboxnetadp: vboxdrv
	+@if [ -d vboxnetadp ]; then \
	    if [ -f vboxdrv/Module.symvers ]; then \
	        cp vboxdrv/Module.symvers vboxnetadp; \
	    fi; \
	    echo "=== Building 'vboxnetadp' module ==="; \
	    $(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) KBUILD_EXTRA_SYMBOLS=$(abspath vboxnetadp/Module.symvers) -C vboxnetadp || exit 1; \
	    cp vboxnetadp/vboxnetadp.ko .; \
	    echo; \
	fi

vboxpci: vboxdrv
	+@if [ -d vboxpci ]; then \
	    if [ -f vboxdrv/Module.symvers ]; then \
	        cp vboxdrv/Module.symvers vboxpci; \
	    fi; \
	    echo "=== Building 'vboxpci' module ==="; \
	    $(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) KBUILD_EXTRA_SYMBOLS=$(abspath vboxpci/Module.symvers) -C vboxpci || exit 1; \
	    cp vboxpci/vboxpci.ko .; \
	    echo; \
	fi

install-vboxdrv:
	+@$(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxdrv install

install-vboxnetflt:
	+@if [ -d vboxnetflt ]; then \
	    $(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxnetflt install; \
	fi

install-vboxnetadp:
	+@if [ -d vboxnetadp ]; then \
	    $(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxnetadp install; \
	fi

install-vboxpci:
	+@if [ -d vboxpci ]; then \
	    $(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxpci install; \
	fi

install: install-vboxdrv install-vboxnetflt install-vboxnetadp install-vboxpci

# Look for wrapper modules, sorting them so vmmr0 is first.
VBOX_WRAPPER_DIRS := $(notdir $(wildcard $(CURDIR)/vbox_*))
  ifneq ($(VBOX_WRAPPER_DIRS),)
VBOX_WRAPPER_DIRS := $(filter vbox_vmmr0,$(VBOX_WRAPPER_DIRS)) $(sort $(filter-out vbox_vmmr0,$(VBOX_WRAPPER_DIRS)))
  endif
  define wrapper_template
$(wrapper): $(subst $(wrapper),,vbox_vmmr0)
	+$$(MAKE) KBUILD_VERBOSE=$$(KBUILD_VERBOSE) -C $(wrapper)/

load-$(wrapper): $(subst load-$(wrapper),,load-vbox_vmmr0)
	@if ! grep -q "^$(wrapper) " /proc/modules; then \
       	echo "Loading $(wrapper)..."; \
		$(SUDO) /sbin/insmod $(wrapper)/$(wrapper).ko; \
	else \
       	echo "Skipping loading $(wrapper) module (already loaded)."; \
	fi

unload-$(wrapper):
	@if grep -q "^$(wrapper) " /proc/modules; then \
       	echo "Unloading $(wrapper)..."; \
		$(SUDO) /sbin/rmmod $(wrapper)/$(wrapper).ko; \
	fi
  endef
$(foreach wrapper,$(VBOX_WRAPPER_DIRS), $(eval $(wrapper_template)))

wrappers: 	$(VBOX_WRAPPER_DIRS)
wrappers-load: $(addprefix load-,$(VBOX_WRAPPER_DIRS))
wrappers-unload:
	@for module in $(filter-out vbox_vmmr0,$(VBOX_WRAPPER_DIRS)) $(filter vbox_vmmr0,$(VBOX_WRAPPER_DIRS)); \
	do \
		if grep -q "^$${module} " /proc/modules; then \
			echo "Unloading $${module}..."; \
			$(SUDO) /sbin/rmmod "$${module}"; \
		fi \
	done
wrappers-reload: wrappers-unload
	+$(MAKE) -f $(lastword $(MAKEFILE_LIST)) --no-print-directory wrappers-load

buildid:
	@for module in $(foreach module,vboxdrv vboxnetflt vboxnetadp $(VBOX_WRAPPER_DIRS),$(module)/$(module).ko); \
	do \
		buildid=`readelf -n $${module} | sed -ne 's/^.*Build ID: *\([[:xdigit:]][[:xdigit:]]\)\(.*\)$$/\1\/\2/p' `; \
		if [ -n "$${buildid}" ]; then \
			mkdir -p ~/.debug/.build-id/`dirname $${buildid}`; \
			ln -sfn -- "$(CURDIR)/$${module}" ~/.debug/.build-id/$${buildid}; \
		else \
			echo "warning: No build ID for $${module}"; \
		fi \
	done

.PHONY: wrappers wrappers-load wrappers-unload buildid $(VBOX_WRAPPER_DIRS) \
	$(addprefix load-,$(VBOX_WRAPPER_DIRS)) $(addprefix unload-,$(VBOX_WRAPPER_DIRS))

 else # Too old:

VBOX_WRAPPER_DIRS :=

vboxdrv:
vboxnetflt:
vboxnetadp:
vboxpci:
install:
wrappers:
wrappers-load:
wrappers-unload:
buildid:

 endif

clean-vboxdrv:
	+@$(MAKE) -C vboxdrv clean
	rm -rf vboxdrv.ko

clean-vboxnetflt:
	+@if [ -d vboxnetflt ]; then \
	    $(MAKE) -C vboxnetflt clean; \
	fi
	rm -rf vboxnetflt.ko

clean-vboxnetadp:
	+@if [ -d vboxnetadp ]; then \
	    $(MAKE) -C vboxnetadp clean; \
	fi
	rm -rf vboxnetadp.ko

clean-vboxpci:
	+@if [ -d vboxpci ]; then \
	    $(MAKE) -C vboxpci clean; \
	fi
	rm -f vboxpci.ko

clean: clean-vboxdrv clean-vboxnetflt clean-vboxnetadp clean-vboxpci

check:
	+@$(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxdrv check

unload:
	@for module in vboxpci vboxnetadp vboxnetflt vboxdrv; do \
		if grep "^$$module " /proc/modules >/dev/null; then \
			echo "Removing previously installed $$module module"; \
			$(SUDO) /sbin/rmmod $$module; \
		fi; \
	done

load: unload
	@for module in vboxdrv vboxnetflt vboxnetadp vboxpci; do \
		if test -f $$module.ko; then \
			echo "Installing $$module module"; \
			$(SUDO) /sbin/insmod $$module.ko; \
		fi; \
	done

endif # ! KERNELRELEASE

=== src/VBox/Additions/freebsd/drm/Makefile ===
# $Id: Makefile $
## @file
# Makefile for the VirtualBox FreeBSD Host Driver.
#

#
# Copyright (C) 2006-2023 Oracle and/or its affiliates.
#
# This file is part of VirtualBox base platform packages, as
# available from https://www.virtualbox.org.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, in version 3 of the
# License.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <https://www.gnu.org/licenses>.
#
# SPDX-License-Identifier: GPL-3.0-only
#

KMOD = vboxvideo

SRCS = \
	vboxvideo_drm.c

SRCS += device_if.h bus_if.h pci_if.h opt_drm.h

.include <bsd.kmod.mk>

=== src/VBox/Main/webservice/samples/python/Makefile ===
# $Id: Makefile $
## @file
# Makefile for java samples.
#

#
# Copyright (C) 2008-2023 Oracle and/or its affiliates.
#
# Permission is hereby granted, free of charge, to any person
# obtaining a copy of this software and associated documentation
# files (the "Software"), to deal in the Software without
# restriction, including without limitation the rights to use,
# copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the
# Software is furnished to do so, subject to the following
# conditions:
#
# The above copyright notice and this permission notice shall be
# included in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
# OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
# NONINFRINGEMENT.  IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
# HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
# OTHER DEALINGS IN THE SOFTWARE.
#

all: run

run:
	@echo !!!! Don\'t forget to start webserver with \"vboxwebsrv -t 10000\" !!!
	PYTHONPATH=../lib python ../../../glue/python/sample/vboxshell.py -w

server:
	nohup vboxwebsrv -t 10000 &

=== src/VBox/Devices/PC/ipxe/src/arch/arm64/Makefile ===
# ARM64-specific directories containing source files
#
SRCDIRS		+= arch/arm64/core

# ARM64-specific flags
#
CFLAGS		+= -mlittle-endian -mcmodel=small
CFLAGS		+= -fomit-frame-pointer
ASFLAGS		+= -mabi=lp64 -EL

# We want to specify the LP64 model.  There is an explicit -mabi=lp64
# on GCC 4.9 and later, and no guarantee as to which is the default
# model.  In earlier versions of GCC, there is no -mabi option and the
# default appears to be LP64 anyway.
#
ifeq ($(CCTYPE),gcc)
LP64_TEST = $(CC) -mabi=lp64 -x c -c /dev/null -o /dev/null >/dev/null 2>&1
LP64_FLAGS := $(shell $(LP64_TEST) && $(ECHO) '-mabi=lp64')
WORKAROUND_CFLAGS += $(LP64_FLAGS)
endif

# EFI requires -fshort-wchar, and nothing else currently uses wchar_t
#
CFLAGS		+= -fshort-wchar

# Include common ARM Makefile
MAKEDEPS	+= arch/arm/Makefile
include arch/arm/Makefile

# Include platform-specific Makefile
#
MAKEDEPS	+= arch/arm64/Makefile.$(PLATFORM)
include arch/arm64/Makefile.$(PLATFORM)

=== src/VBox/ExtPacks/VBoxDTrace/onnv/cmd/dtrace/test/Makefile ===
#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the
# Common Development and Distribution License (the "License").
# You may not use this file except in compliance with the License.
#
# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
# or http://www.opensolaris.org/os/licensing.
# See the License for the specific language governing permissions
# and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each
# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
# If applicable, add the following below this CDDL HEADER, with the
# fields enclosed by brackets "[]" replaced with your own identifying
# information: Portions Copyright [yyyy] [name of copyright owner]
#
# CDDL HEADER END
#

#
# Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
# Use is subject to license terms.
#

include $(SRC)/Makefile.master

SUBDIRS = cmd tst

ROOTOPTPKG = $(ROOT)/opt/SUNWdtrt

include Makefile.subdirs

install: $(ROOTOPTPKG)/README $(SUBDIRS)

pkg: install
	@cd $(SRC)/pkg; pwd; $(MAKE) SUNWdtrt.pub

$(ROOTOPTPKG)/% := FILEMODE = 0444

$(ROOTOPTPKG):
	$(INS.dir)

$(ROOTOPTPKG)/%: ./% $(ROOTOPTPKG)
	$(INS.file)

## virtualbox 7.0.18-dfsg

=== debian/changelog ===
virtualbox (7.0.18-dfsg-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 05 Jun 2024 10:13:28 -0700

virtualbox (7.0.18-dfsg-1) unstable; urgency=medium

  * New upstream version 7.0.18-dfsg
  * Fixup link for tarball import
  * Drop patch 162843, upstream. Refresh vnc patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 May 2024 16:44:26 +0200

virtualbox (7.0.16-dfsg-9) unstable; urgency=medium

  * Drop old NEWS file
  * Update dependency of libgl1-mesa-dev

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 May 2024 11:29:23 +0200

virtualbox (7.0.16-dfsg-8) unstable; urgency=medium

  * Drop dh_installsystemd.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 May 2024 09:43:22 +0200

virtualbox (7.0.16-dfsg-7) unstable; urgency=medium

  * replace dh_systemd_enable with dh_installsystemd
  * Drop old lintian override
  * Drop priority optional, useless. Move package to contrib/oldlibs instead of just oldlibs
  * Drop X-Python-Version
  * Drop NEWS file
  * Fix duplicate long description
  * Fix duplicate short description
  * Drop debug symbols migration code.
  * Bump compat level to 13
  * Drop trailing whitespace
  * Bump std-version to 4.7.0

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 May 2024 08:46:00 +0200

virtualbox (7.0.16-dfsg-6) unstable; urgency=medium

  * Add versioning to breaks/replaces

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 May 2024 20:25:27 +0200

virtualbox (7.0.16-dfsg-5) unstable; urgency=medium

  * Add -hwe as transitional packages (To be dropped after 26.04)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 28 Apr 2024 08:56:40 +0200

virtualbox (7.0.16-dfsg-4) unstable; urgency=medium

  * Provide hwe package, to let virtualbox-hwe disappear from
    Ubuntu (and also xorg-lts-transitional)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 27 Apr 2024 15:21:15 +0200

virtualbox (7.0.16-dfsg-3) unstable; urgency=medium

  * Add patch 162843 to fix an host crash with some network modes.
    LP: #2063841

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 26 Apr 2024 12:51:11 +0200

=== debian/control ===
Source: virtualbox
Section: contrib/misc
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Virtualbox Team <team+debian-virtualbox@tracker.debian.org>
Uploaders: Ritesh Raj Sarraf <rrs@debian.org>,
           Gianfranco Costamagna <locutusofborg@debian.org>
Build-Depends: acpica-tools,
               bzip2,
               debhelper-compat (= 13),
               default-jdk,
               dh-python,
               dh-sequence-dkms,
               docbook-xml,
               docbook-xsl,
               dpkg-dev (>= 1.15.6~),
               g++-multilib,
               genisoimage,
               glslang-tools,
               gsoap,
               jaxws,
               kbuild (>= 1:0.1.9998svn3589~),
               libasound2-dev,
               libcap-dev,
               libcurl4-gnutls-dev,
               libdevmapper-dev,
               libdrm-dev,
               libegl1-mesa-dev,
               libgl-dev,
               libglu1-mesa-dev,
               libgsoap-dev,
               libidl-dev,
               liblzf-dev,
               liblzma-dev,
               libogg-dev,
               libpam0g-dev,
               libpixman-1-dev,
               libpng-dev,
               libpulse-dev,
               libqt5opengl5-dev,
               libqt5x11extras5-dev,
               libsdl1.2-dev,
               libsdl2-dev,
               libssl-dev,
               libtpms-dev,
               libvncserver-dev,
               libvorbis-dev,
               libvpx-dev,
               libx11-dev,
               libxcomposite-dev,
               libxcursor-dev,
               libxdamage-dev,
               libxext-dev,
               libxi-dev,
               libxinerama-dev,
               libxml2-dev,
               libxml2-utils,
               libxmu-dev,
               libxrandr-dev,
               libxrender-dev,
               libxslt1-dev,
               libxt-dev,
               lsb-release,
               lynx,
               makeself,
               module-assistant,
               nasm,
               python3-dev,
               qttools5-dev,
               texlive-fonts-extra,
               texlive-fonts-recommended,
               texlive-latex-extra,
               texlive-latex-recommended,
               uuid-dev,
               x11proto-gl-dev,
               x11proto-xf86dri-dev,
               xserver-xorg-dev,
               xsltproc,
               yasm,
               zlib1g-dev
Standards-Version: 4.7.0
Rules-Requires-Root: binary-targets
Homepage: https://www.virtualbox.org
Vcs-Browser: https://salsa.debian.org/pkg-virtualbox-team/virtualbox
Vcs-Git: https://salsa.debian.org/pkg-virtualbox-team/virtualbox.git
Testsuite: autopkgtest-pkg-dkms

Package: virtualbox-qt
Architecture: amd64
Depends: virtualbox (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: virtualbox (<< 4.1.6-dfsg-2~)
Replaces: virtualbox (<< 4.1.6-dfsg-2~)
Description: x86 virtualization solution - Qt based user interface
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the Qt based graphical user interface for VirtualBox.

Package: virtualbox
Architecture: amd64
Depends: adduser,
         iproute2,
         procps,
         virtualbox-dkms (>= ${source:Version}) | virtualbox-source (>= ${source:Version}) | virtualbox-modules,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         virtualbox-qt (= ${binary:Version}),
         virtualbox-guest-additions-iso
Recommends:  ${shlibs:Recommends}
Suggests: vde2, virtualbox-guest-additions-iso
Conflicts: virtualbox-2.0,
           virtualbox-2.1,
           virtualbox-2.2,
           virtualbox-3.0,
           virtualbox-3.1,
           virtualbox-3.2,
           virtualbox-4.0,
           virtualbox-4.1,
           virtualbox-4.2,
           virtualbox-4.3,
           virtualbox-5.0,
           virtualbox-5.1,
           virtualbox-5.2,
           virtualbox-6.0,
           virtualbox-6.1,
           virtualbox-7.0
Description: x86 virtualization solution - base binaries
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the binaries for VirtualBox. Either the virtualbox-dkms
 or the virtualbox-source package is also required in order to compile the
 kernel modules needed for virtualbox. A graphical user interface for
 VirtualBox is provided by the package virtualbox-qt.

Package: virtualbox-dkms
Section: contrib/kernel
Architecture: amd64
Depends: ${misc:Depends}
Recommends: virtualbox (>= ${source:Version})
Provides: virtualbox-modules
Description: x86 virtualization solution - kernel module sources for dkms
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the source code for the virtualbox kernel module to be
 build with dkms. Kernel sources or headers are required to compile this
 module.

Package: virtualbox-source
Section: contrib/kernel
Architecture: amd64
Depends: build-essential,
         bzip2,
         debhelper-compat (= 13),
         kbuild,
         module-assistant,
         ${misc:Depends}
Recommends: virtualbox (>= ${source:Version})
Description: x86 virtualization solution - kernel module source
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the source code for the virtualbox kernel module.
 The virtualbox package is also required in order to make use of these
 modules. Kernel sources or headers are required to compile this module.
 .
 The source is placed under /usr/src, and after decompression it can
 be built to produce a virtualbox-modules-_KVERS_ providing
 "virtualbox-modules" package.

Package: virtualbox-guest-x11
Section: contrib/x11
Replaces: virtualbox-guest-x11-hwe (<< 7.0.16-dfsg-5)
Breaks: virtualbox-guest-x11-hwe (<< 7.0.16-dfsg-5)
Architecture: amd64 i386
Depends: libnotify-bin,
         virtualbox-guest-utils (= ${binary:Version}),
         x11-xserver-utils,
         ${misc:Depends},
         ${shlibs:Depends},
         ${xserver:Depends}
Provides: xorg-driver-video
XB-Modaliases: ${modaliases}
Description: x86 virtualization solution - X11 guest utilities
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the X11 guest utilities for VirtualBox. These utilities
 are meant to be run inside the virtual machine.
 They provide closer integration and improve the interactive performance.

Package: virtualbox-guest-utils
Architecture: amd64 i386
Replaces: virtualbox-guest-utils-hwe (<< 7.0.16-dfsg-5)
Breaks: virtualbox-guest-utils-hwe (<< 7.0.16-dfsg-5)
Depends: adduser, pciutils, ${misc:Depends}, ${shlibs:Depends}
#Conflicts: time-daemon, ntp
#Provides: time-daemon
#Replaces: time-daemon
Suggests: virtualbox-guest-x11 (= ${binary:Version})
Description: x86 virtualization solution - non-X11 guest utilities
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the non-X11 guest utilities for VirtualBox. These
 utilities are meant to be run inside the virtual machine.
 They provide closer integration and allow to share data through shared folders
 between the host system and the virtual machine.

Package: virtualbox-guest-x11-hwe
Section: contrib/oldlibs
Architecture: amd64 i386
Depends: virtualbox-guest-x11, ${misc:Depends}
Description: transitional package for virtualbox-guest-x11
 This is a transitional package for virtualbox-guest-x11.
 It can safely be removed

Package: virtualbox-guest-utils-hwe
Section: contrib/oldlibs
Architecture: amd64 i386
Depends: virtualbox-guest-utils, ${misc:Depends}
Description: transitional package for virtualbox-guest-utils
 This is a transitional package for virtualbox-guest-utils.
 It can safely be removed

## virtualbox 7.0.20

=== src/VBox/Additions/linux/Makefile ===
#
# Makefile for the VirtualBox Linux Guest Drivers.
#

#
# Copyright (C) 2009-2023 Oracle and/or its affiliates.
#
# This file is part of VirtualBox base platform packages, as
# available from https://www.virtualbox.org.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, in version 3 of the
# License.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <https://www.gnu.org/licenses>.
#
# SPDX-License-Identifier: GPL-3.0-only
#

ifneq ($(KERNELRELEASE),)

# Building from kBuild (make -C <kernel_directory> M=`pwd`)
# or inside a kernel source tree.

obj-m = vboxguest/ vboxsf/ vboxvideo/

else # ! KERNELRELEASE

KBUILD_VERBOSE =
 ifeq ($(KBUILD_VERBOSE),)
VBOX_QUIET    := @
VBOX_QUIET_SH := @
 else
VBOX_QUIET    :=
VBOX_QUIET_SH := set -x;
 endif

all: vboxguest vboxsf vboxvideo

vboxguest:
	@echo "=== Building 'vboxguest' module ==="
	+ $(VBOX_QUIET)$(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxguest
	$(VBOX_QUIET_SH)if [ -f vboxguest/vboxguest.ko ]; then \
	    cp vboxguest/vboxguest.ko .; \
	 else \
	    cp vboxguest/vboxguest.o .; \
	 fi
	@echo

vboxsf: vboxguest
	+ $(VBOX_QUIET_SH)if [ -d vboxsf ]; then \
	    if [ -f vboxguest/Module.symvers ]; then \
	        cp vboxguest/Module.symvers vboxsf; \
	    fi; \
	    echo "=== Building 'vboxsf' module ==="; \
	    $(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) KBUILD_EXTRA_SYMBOLS=$(abspath vboxsf/Module.symvers) -C vboxsf || exit 1; \
	    if [ -f vboxsf/vboxsf.ko ]; then \
	        cp vboxsf/vboxsf.ko .; \
	    else \
	        cp vboxsf/vboxsf.o .; \
	    fi; \
	    echo; \
	fi

vboxvideo:
	+ $(VBOX_QUIET_SH)if [ -d vboxvideo ]; then \
	    echo "=== Building 'vboxvideo' module ==="; \
	    $(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxvideo || exit 1; \
	    if [ -f vboxvideo/vboxvideo.ko ]; then \
	        cp vboxvideo/vboxvideo.ko .; \
	    elif [ -f vboxvideo/vboxvideo.o ]; then \
	        cp vboxvideo/vboxvideo.o .; \
	    fi; \
	    echo; \
	fi

install-vboxguest:
	+ $(VBOX_QUIET)$(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxguest install

install-vboxsf:
	+ $(VBOX_QUIET_SH)if [ -d vboxsf ]; then \
	    $(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxsf install; \
	fi

install-vboxvideo:
	+ $(VBOX_QUIET_SH)if [ -d vboxvideo ]; then \
	    $(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxvideo install; \
	fi

install: install-vboxguest install-vboxsf install-vboxvideo

clean-vboxguest:
	+ $(VBOX_QUIET)$(MAKE) -C vboxguest clean
	rm -f vboxguest.*o

clean-vboxsf:
	+ $(VBOX_QUIET_SH)if [ -d vboxsf ]; then \
	    $(MAKE) -C vboxsf clean; \
	fi
	rm -f vboxsf.*o

clean-vboxvideo:
	+ $(VBOX_QUIET_SH)if [ -d vboxvideo ]; then \
	    $(MAKE) -C vboxvideo clean; \
	fi
	rm -f vboxvideo.*o

clean: clean-vboxguest clean-vboxsf clean-vboxvideo

check:
	$(VBOX_QUIET)$(MAKE) KBUILD_VERBOSE=$(KBUILD_VERBOSE) -C vboxguest check

unload:
	$(VBOX_QUIET)/sbin/rmmod vboxvideo || true
	$(VBOX_QUIET)/sbin/rmmod vboxvfs || true
	$(VBOX_QUIET)/sbin/rmmod vboxsf || true
	$(VBOX_QUIET)/sbin/rmmod vboxguest || true

load: unload
	$(VBOX_QUIET)/sbin/insmod vboxguest.ko
	$(VBOX_QUIET)if [ -f vboxsf.ko ]; then /sbin/insmod vboxsf.ko; fi
	$(VBOX_QUIET)if [ -f vboxvideo.ko ]; then /sbin/insmod vboxvideo.ko; fi

.PHONY: all install clean check unload load \
    vboxguest vboxsf vboxvideo \
    install-vboxguest install-vboxsf install-vboxvideo \
    clean-vboxguest clean-vboxsf clean-vboxvideo

endif # ! KERNELRELEASE

=== src/VBox/Main/glue/tests/Makefile ===
## @file
# Makefile for a sample/testcase using the 'glue' Java API bindings

#
# Copyright (C) 2010-2023 Oracle and/or its affiliates.
#
# This file is part of VirtualBox base platform packages, as
# available from https://www.virtualbox.org.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, in version 3 of the
# License.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <https://www.gnu.org/licenses>.
#
# SPDX-License-Identifier: GPL-3.0-only
#

#
# User serviceable parts: adjust the following lines appropriately
#

# The host OS: linux, solaris, win, darwin, freebsd
HOSTOS=linux
# Absolute (!) path to the VirtualBox install directory
VBOX_BIN = /opt/VirtualBox
# Path to the sdk directory of the unpacked VirtualBox SDK
VBOX_SDK = ../../..
# On Windows, if you want to use the COM API: install directory of Jacob lib
JACOB_DIR =
# Extra classpath entries needed for compiling/running the sample
CLASSPATH =
# Java compiler to use
JAVAC = javac
# Java VM to use
JAVA = java


#
# No changes should be necessary after this point.
#

ifeq ($(HOSTOS),win)
 JACOB_JAR=$(JACOB_DIR)/jacob.jar
 VBOX_JAR=$(VBOX_SDK)/bindings/mscom/java/vboxjmscom.jar
 SEP=\;
 JAVA_COM_ARGS += -Djava.library.path=$(JACOB_DIR)
 CLASSPATH += $(JACOB_JAR)$(SEP)
else
 VBOX_JAR=$(VBOX_SDK)/bindings/xpcom/java/vboxjxpcom.jar
 SEP=:
 JAVA_COM_ARGS += -Dvbox.home=$(VBOX_BIN)
endif

VBOX_JAR_WS=$(VBOX_SDK)/bindings/webservice/java/jax-ws/vboxjws.jar


all: ws/TestVBox.class com/TestVBox.class

test: ws/test-TestVBox com/test-TestVBox

com/TestVBox.class:
	@mkdir com 2>/dev/null || true
	$(JAVAC) -d com -cp $(VBOX_JAR)$(SEP)$(CLASSPATH) TestVBox.java

com/test-TestVBox: com/TestVBox.class
	$(JAVA) $(JAVA_COM_ARGS) -cp com$(SEP)$(VBOX_JAR)$(SEP)$(CLASSPATH) TestVBox

ws/TestVBox.class:
	@mkdir ws 2>/dev/null || true
	$(JAVAC) -d ws -cp $(VBOX_JAR_WS)$(SEP)$(CLASSPATH) TestVBox.java

ws/test-TestVBox: ws/TestVBox.class
	$(JAVA) $(JAVA_WS_ARGS) -cp ws$(SEP)$(VBOX_JAR_WS)$(SEP)$(CLASSPATH) TestVBox -w -url http://localhost:18083/

## virtualbox 7.0.20-dfsg

=== debian/changelog ===
virtualbox (7.0.20-dfsg-1.2) unstable; urgency=medium

  [ Tobias Frost ]
  * Non maintainer upload, importing doko's patch from Ubuntu.
  * Add NEWS entry for the kernel 6.12 issue (See: #1082157)
  
  [ Matthias Klose ]
  * Check for Python 3.13. (Closes: #1092081)

 -- Tobias Frost <tobi@debian.org>  Fri, 31 Jan 2025 12:05:06 +0100

virtualbox (7.0.20-dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Chris Hofstaedtler ]
  * Install files into /usr (DEP17 M2). (Closes: #1057014)

 -- Helmut Grohne <helmut@subdivi.de>  Fri, 03 Jan 2025 15:16:07 +0100

virtualbox (7.0.20-dfsg-1) unstable; urgency=medium

  * New upstream version 7.0.20-dfsg

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 16 Jul 2024 17:48:29 +0200

virtualbox (7.0.18-dfsg-2) unstable; urgency=medium

  * Set back R^3: no

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 06 Jun 2024 19:42:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: virtualbox
 Section: contrib/misc
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Virtualbox Team <team+debian-virtualbox@tracker.debian.org>
+Maintainer: Debian Virtualbox Team <team+debian-virtualbox@tracker.debian.org>
 Uploaders: Ritesh Raj Sarraf <rrs@debian.org>,
            Gianfranco Costamagna <locutusofborg@debian.org>
-Build-Depends: acpica-tools,
-               bzip2,
+Build-Depends: bzip2,
                debhelper-compat (= 13),
                default-jdk,
+               jaxws,
                dh-python,
                dh-sequence-dkms,
                docbook-xml,
@@ -18,7 +17,7 @@
                genisoimage,
                glslang-tools,
                gsoap,
-               jaxws,
+               acpica-tools,
                kbuild (>= 1:0.1.9998svn3589~),
                libasound2-dev,
                libcap-dev,
@@ -29,16 +28,17 @@
                libgl-dev,
                libglu1-mesa-dev,
                libgsoap-dev,
-               libidl-dev,
                liblzf-dev,
                liblzma-dev,
+               libidl-dev,
                libogg-dev,
                libpam0g-dev,
                libpixman-1-dev,
                libpng-dev,
                libpulse-dev,
+               libqt5x11extras5-dev,
                libqt5opengl5-dev,
-               libqt5x11extras5-dev,
+               qttools5-dev,
                libsdl1.2-dev,
                libsdl2-dev,
                libssl-dev,
@@ -66,7 +66,6 @@
                module-assistant,
                nasm,
                python3-dev,
-               qttools5-dev,
                texlive-fonts-extra,
                texlive-fonts-recommended,
                texlive-latex-extra,
@@ -79,7 +78,7 @@
                yasm,
                zlib1g-dev
 Standards-Version: 4.7.0
-Rules-Requires-Root: binary-targets
+Rules-Requires-Root: no
 Homepage: https://www.virtualbox.org
 Vcs-Browser: https://salsa.debian.org/pkg-virtualbox-team/virtualbox
 Vcs-Git: https://salsa.debian.org/pkg-virtualbox-team/virtualbox.git
@@ -105,10 +104,8 @@
          virtualbox-dkms (>= ${source:Version}) | virtualbox-source (>= ${source:Version}) | virtualbox-modules,
          ${misc:Depends},
          ${python3:Depends},
-         ${shlibs:Depends},
-         virtualbox-qt (= ${binary:Version}),
-         virtualbox-guest-additions-iso
-Recommends:  ${shlibs:Recommends}
+         ${shlibs:Depends}
+Recommends: virtualbox-qt (= ${binary:Version}), ${shlibs:Recommends}
 Suggests: vde2, virtualbox-guest-additions-iso
 Conflicts: virtualbox-2.0,
            virtualbox-2.1,
@@ -125,7 +122,7 @@
            virtualbox-5.2,
            virtualbox-6.0,
            virtualbox-6.1,
-           virtualbox-7.0
+           virtualbox-7.0,
 Description: x86 virtualization solution - base binaries
  VirtualBox is a free x86 virtualization solution allowing a wide range
  of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
@@ -180,8 +177,8 @@
 Breaks: virtualbox-guest-x11-hwe (<< 7.0.16-dfsg-5)
 Architecture: amd64 i386
 Depends: libnotify-bin,
+         x11-xserver-utils,
          virtualbox-guest-utils (= ${binary:Version}),
-         x11-xserver-utils,
          ${misc:Depends},
          ${shlibs:Depends},
          ${xserver:Depends}
@@ -200,7 +197,10 @@
 Architecture: amd64 i386
 Replaces: virtualbox-guest-utils-hwe (<< 7.0.16-dfsg-5)
 Breaks: virtualbox-guest-utils-hwe (<< 7.0.16-dfsg-5)
-Depends: adduser, pciutils, ${misc:Depends}, ${shlibs:Depends}
+Depends: adduser,
+         pciutils,
+         ${misc:Depends},
+         ${shlibs:Depends}
 #Conflicts: time-daemon, ntp
 #Provides: time-daemon
 #Replaces: time-daemon
@@ -218,7 +218,8 @@
 Package: virtualbox-guest-x11-hwe
 Section: contrib/oldlibs
 Architecture: amd64 i386
-Depends: virtualbox-guest-x11, ${misc:Depends}
+Depends: virtualbox-guest-x11,
+         ${misc:Depends}
 Description: transitional package for virtualbox-guest-x11
  This is a transitional package for virtualbox-guest-x11.
  It can safely be removed
@@ -226,7 +227,8 @@
 Package: virtualbox-guest-utils-hwe
 Section: contrib/oldlibs
 Architecture: amd64 i386
-Depends: virtualbox-guest-utils, ${misc:Depends}
+Depends: virtualbox-guest-utils,
+         ${misc:Depends}
 Description: transitional package for virtualbox-guest-utils
  This is a transitional package for virtualbox-guest-utils.
  It can safely be removed

=== debian/rules ===
#!/usr/bin/make -f

# Name of the source packages
psource:=virtualbox-source
pdkms:=virtualbox-dkms

# The short upstream name
sname:=virtualbox
sxname:=virtualbox-qt
gname:=virtualbox-guest
uname:=virtualbox-guest-utils
uxname:=virtualbox-guest-x11

INSTALL_PATH:=/usr/lib/virtualbox
MAKE:=kmk

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NJOBS := -j $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

include /usr/share/dpkg/default.mk
VERSION ?= $(shell echo $(DEB_VERSION_UPSTREAM) |cut -f 1 -d "-")

DIST_NAME := $(shell lsb_release -si)
DIST_RELEASE := $(DIST_NAME)/$(shell lsb_release -sc)

SERVER_DEPENDS = $(shell cat /usr/share/xserver-xorg/videodrvdep 2>/dev/null)

export DEB_BUILD_HARDENING=1
export DEB_BUILD_HARDENING_PIE=0
export DEB_BUILD_HARDENING_FORMAT=0
export DEB_BUILD_HARDENING_BINDNOW=0

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3

override_dh_auto_configure:
	@echo Building for $(DIST_RELEASE)

ifeq ($(strip $(SERVER_DEPENDS)),)
	@echo 'error: SERVER_DEPENDS is empty'
	@exit 1
endif

	mkdir -p out
	./configure \
	    --ose \
	    --odir=$(abspath out) \
	    --with-linux="/usr" \
	    --disable-kmods \
	    --enable-webservice \
	    --enable-vde \
	    --enable-vnc

override_dh_python3:
	dh_python3 --no-ext-rename

override_dh_auto_build:
	# Building package
	. out/env.sh && $(MAKE) $(NJOBS) \
	    AUTOCFG=$(abspath out/AutoConfig.kmk) \
	    LOCALCFG=$(abspath debian/LocalConfig.kmk) \
	    PATH_OUT=$(abspath out) \
	    TOOL_YASM_AS=yasm \
	    VBOX_USE_SYSTEM_XORG_HEADERS=1 \
	    VBOX_USE_SYSTEM_GL_HEADERS=1 \
	    VBOX_NO_LEGACY_XORG_X11=1 \
	    VBOX_BUILD_PUBLISHER=_$(DIST_NAME) \
	    VBOX_WITH_REGISTRATION_REQUEST= \
	    VBOX_WITH_UPDATE_REQUEST= \
	    KBUILD_VERBOSE=2 \
	    VBOX_WITH_EXTPACK_VBOXDTRACE=

	xsltproc --nonet --stringparam section.autolabel 1 \
	    -o debian/README.Debian.html \
	    /usr/share/xml/docbook/stylesheet/nwalsh/html/docbook.xsl \
	    debian/virtualbox.files/README.Debian.xml

	chmod 755 debian/lynx-dump-postprocess
	export LC_ALL=C; lynx -force_html -dump debian/README.Debian.html | \
	    ./debian/lynx-dump-postprocess > debian/virtualbox.README.Debian.tmp
	mv debian/virtualbox.README.Debian.tmp debian/virtualbox.README.Debian

override_dh_auto_install:
	dh_auto_install

ifneq (,$(filter $(sname), $(shell dh_listpackages)))
	export VBOX_INSTALL_PATH=$(INSTALL_PATH) && \
	    cd out/bin/sdk/installer && \
	    python3 ./vboxapisetup.py install --root $(CURDIR)/debian/$(sname)
endif

	sed -e 's/CVERSION/$(VERSION)/g' < debian/$(pdkms).links.in > debian/$(pdkms).links

	# Build install files for the dkms'ified sources
	sed -e 's/CVERSION/$(VERSION)/g' < debian/$(pdkms).install.in > debian/$(pdkms).install

	echo "xserver:Depends=$(SERVER_DEPENDS)" >> debian/$(uxname).substvars

ifeq ($(DIST_NAME),Ubuntu)
	echo "modaliases=vboxx11(pci:v000080EEd0000BEEFsv00000000sd00000000bc*sc*i*)" >> debian/$(uxname).substvars
endif

override_dh_install:
ifneq (,$(filter $(sname), $(shell dh_listpackages)))
	dh_install -p$(sname) -X out/bin/VBoxDbg.so
endif
	dh_install --remaining-packages
#ifneq (,$(filter $(uxname), $(shell dh_listpackages)))
#	install -m 644 -p -D out/bin/additions/vboxvideo_drv_system.so \
#	    debian/$(uxname)/usr/lib/xorg/modules/drivers/vboxvideo_drv.so
#endif

ifeq ($(DIST_NAME),Ubuntu)
	install -m 644 -p -D debian/apport-hook.py \
	    debian/$(sname)/usr/share/apport/package-hooks/source_$(sname).py
endif

override_dh_fixperms:
	dh_fixperms

# check if arch-any packages are being built
ifneq (,$(filter $(sname), $(shell dh_listpackages)))
	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxSDL;
	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxHeadless;
	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxNetNAT;
	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxNetDHCP;
	chmod +s debian/$(sname)$(INSTALL_PATH)/VBoxNetAdpCtl;
	chmod 644 debian/$(sname)$(INSTALL_PATH)/*.r0;

	chmod 644 debian/$(sname)$(INSTALL_PATH)/sdk/bindings/xpcom/python/xpcom/*.py;
	chmod 644 debian/$(sname)$(INSTALL_PATH)/sdk/bindings/xpcom/python/xpcom/server/*.py;
	chmod 644 debian/$(sname)$(INSTALL_PATH)/sdk/bindings/xpcom/python/xpcom/client/*.py;
	chmod 644 debian/$(sname)$(INSTALL_PATH)/sdk/bindings/xpcom/java/vboxjxpcom.jar;

	chmod 755 debian/$(sname)/usr/share/virtualbox/VBox.sh;
endif

ifneq (,$(filter $(sxname), $(shell dh_listpackages)))
	chmod +s debian/$(sxname)$(INSTALL_PATH)/VirtualBoxVM;
endif

ifneq (,$(filter $(uxname), $(shell dh_listpackages)))
	chmod 755 debian/$(uxname)/usr/share/virtualbox/x11config.pl;
endif

# check if arch-all packages are being built
ifneq (,$(filter $(psource), $(shell dh_listpackages)))
	# These files have incorrect permissions, fixing it.
	chmod 755 debian/$(psource)/usr/src/modules/$(sname)/debian/rules

	# this needs all prior work to be finished
	cd debian/$(psource)/usr/src && \
	    tar -cjf $(sname).tar.bz2 modules && \
	    rm -rf modules

	chmod 644 debian/$(psource)/usr/src/$(sname).tar.bz2
endif

override_dh_installinit:
	dh_installinit -p$(uxname) --no-start --update-rcd-params="start 45 S ."
	dh_installinit --remaining-packages --no-start

override_dh_dkms:
	dh_dkms -V $(VERSION)

override_dh_strip:
ifneq (,$(filter $(sname), $(shell dh_listpackages)))
	dh_strip

	# strip files not handled by dh_strip
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	set -e && for file in debian/$(sname)/usr/lib/virtualbox/*.r0; do \
	    strip --strip-debug --remove-section=.comment --remove-section=.note $${file}; \
	done
endif
	# I don't see a reason to have these. If any user complains, we can try ship it.
	rm -f debian/$(sname)/usr/lib/virtualbox/VMMRC.debug
	rm -f debian/$(sname)/usr/lib/virtualbox/VMMR0.debug
endif

override_dh_shlibdeps:
ifneq (,$(filter $(sname), $(shell dh_listpackages)))
	dh_shlibdeps -p$(sname) -X debian/$(sname)$(INSTALL_PATH)/VBoxTestOGL -- \
	    -dRecommends debian/$(sname)$(INSTALL_PATH)/VBoxTestOGL -dDepends
endif
	dh_shlibdeps --remaining-packages

override_dh_compress:
	dh_compress -X.pdf -X.qhc -X.qch

override_dh_auto_clean:
	dh_auto_clean

	# Cleaning package
	rm -rf out
	rm -f build-stamp
	rm -f debian/virtualbox.README.Debian debian/README.Debian.html
	rm -f debian/$(pdkms).install
	rm -f debian/$(pdkms).links

	find . -name "*.pyc" -exec rm -f {} \;

## virtualbox 7.0.22

=== debian/changelog ===
virtualbox (7.0.22-0.1~mx23+1) mx; urgency=medium

  * New upstream version 7.0.22

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 04 Dec 2024 19:21:43 -0800

virtualbox (7.0.20-dfsg-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 24 Jul 2024 11:23:55 -0700

## virtualbox 7.0.26-dfsg

=== debian/changelog ===
virtualbox (7.0.26-dfsg-1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Ack previous NMUs, thanks!
  * New upstream release 7.0.26-dfsg (Closes: #1103582, Closes: #1101182,
    Closes: #1093879, Closes: #1085440).
    - CVE-2025-30712 CVE-2025-30719 CVE-2025-30725 should be fixed by this
      release
    - CVE-2025-21533 CVE-2025-21571 should be fixed by this release
    - CVE-2024-21248 CVE-2024-21253 CVE-2024-21259 CVE-2024-21263
      CVE-2024-21273 should be fixed by this release
  * Refresh patches
  * Add libfuse2 runtime dependency (Closes: #1082889), thanks Marco Moock for the report

  [ Tobias Frost ]
  * Fix broken watchfile (Closes: #1094801)

  [ Stefano Rivera ]
  * Add missing Build-Depends on python3-setuptools (Closes: #1080878)

  [ Andreas Beckmann ]
  * dkms and module-assistant updates (Closes: #1098998)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 14 May 2025 14:19:49 +0200

=== debian/control ===
--- 
+++ 
@@ -66,6 +66,7 @@
                module-assistant,
                nasm,
                python3-dev,
+               python3-setuptools,
                texlive-fonts-extra,
                texlive-fonts-recommended,
                texlive-latex-extra,
@@ -100,6 +101,7 @@
 Architecture: amd64
 Depends: adduser,
          iproute2,
+         libfuse2,
          procps,
          virtualbox-dkms (>= ${source:Version}) | virtualbox-source (>= ${source:Version}) | virtualbox-modules,
          ${misc:Depends},
